<?php

declare(strict_types=1);

namespace App\Dictionary\WeChat\MiniProgram;

/**
 * 推送模板消息ID
 */
enum SubscribeId: string
{

    case PATIENT_BIND_SUCCESS = 'C1JKomPq-Bes7fOs4vv2Jcy5SFUVvnr_qcl9oNaz7eQ';

    case PATIENT_UNBIND_SUCCESS = 'oDOqp-Smyve0Se8ued4592HC82fBxRLodD1CCb2FWBU';

    case REGISTRATION_SUCCESS = '8TEAjsZsuK8atvLeLqzEH067Mnn5qGmyFnshEy6YsiU';

    case REGISTRATION_FAILURE = '4I_LqdovtP1gwkQjH78Y7gwuPde_rY0qgPqNl4aPBWk';

    case REGISTRATION_CANCEL = 'fVaoPnY6MOpKXbpnrGcPqcLl8dv-aRBNfCGeOlgL8bA';

    case OUTPATIENT_PAYMENT_SUCCESS = 'IlYVy2NNv7v6sg-s_Y6OYS4bRlulosztG0fn7LW4qcQ';

    case OUTPATIENT_PAYMENT_FAILURE = 'ayUD7DXCxZAlhWZ7YiWnHvUXf3AqS_6xkWlbCMC40ek';

    case VISIT_REMIND = 'PidheHDjaf--SIu4-wsDT2uFA_0gjDhq_BU0fABa_w0';

    /**
     * Label string
     *
     * @return string
     */
    public function label(): string
    {
        return match ($this) {
            self::PATIENT_BIND_SUCCESS => '就诊人解绑成功提醒',
            self::PATIENT_UNBIND_SUCCESS => '就诊人绑定成功提醒',
            self::REGISTRATION_SUCCESS => '挂号成功通知',
            self::REGISTRATION_FAILURE => '挂号失败通知',
            self::REGISTRATION_CANCEL => '取消预约挂号通知',
            self::OUTPATIENT_PAYMENT_SUCCESS => '门诊缴费成功通知',
            self::OUTPATIENT_PAYMENT_FAILURE => '门诊缴费失败通知',
            self::VISIT_REMIND => '就诊提醒',
        };
    }
}
