<?php

declare(strict_types=1);

namespace App\Dictionary\WeChat\Official;

/**
 * 微信公众号Api列表
 *
 * @see https://developers.weixin.qq.com/doc/offiaccount/Getting_Started/Overview.html
 */
enum OpenApi: string
{
    // 开始开发
    case GET_ACCESS_TOKEN = '/cgi-bin/token';
    case GET_STABLE_ACCESS_TOKEN = '/cgi-bin/stable_token';

    // openApi管理
    case CLEAR_QUOTA = '/cgi-bin/clear_quota';
    case QUERY_QUOTA = '/cgi-bin/quota/get';
    case QUERY_RID = '/cgi-bin/openapi/rid/get';
    case CLEAR_QUOTA_V2 = '/cgi-bin/clear_quota/v2';

    // 自定义菜单
    case CREATE_MENU = '/cgi-bin/menu/create';
    case GET_MENU = '/cgi-bin/menu/get';
    case DELETE_MENU = '/cgi-bin/menu/delete';
    case ADD_CONDITIONAL_MENU = '/cgi-bin/menu/addconditional';
    case DELETE_CONDITIONAL_MENU = '/cgi-bin/menu/delconditional';
    case TRY_MATCH_MENU = '/cgi-bin/menu/trymatch';
    case GET_CURRENT_SELF_MENU = '/cgi-bin/get_current_selfmenu_info';

    // 基础消息能力
    case SET_INDUSTRY = '/cgi-bin/template/api_set_industry';
    case GET_INDUSTRY = '/cgi-bin/template/get_industry';
    case ADD_TEMPLATE = '/cgi-bin/template/api_add_template';
    case GET_ALL_TEMPLATE = '/cgi-bin/template/get_all_private_template';
    case DELETE_TEMPLATE = '/cgi-bin/template/del_private_template';
    case SEND_TEMPLATE_MESSAGE = '/cgi-bin/message/template/send';
    case SEND_SINGLE_SUBSCRIBE_MESSAGE = '/cgi-bin/message/template/subscribe';

    // 订阅通知
    case ADD_SUBSCRIBE_TEMPLATE = '/wxaapi/newtmpl/addtemplate';
    case DELETE_SUBSCRIBE_TEMPLATE = '/wxaapi/newtmpl/deltemplate';
    case GET_SUBSCRIBE_CATEGORY = '/wxaapi/newtmpl/getcategory';
    case GET_SUBSCRIBE_PUB_TEMPLATE_TITLE_LIST = '/wxaapi/newtmpl/getpubtemplatetitles';
    case GET_SUBSCRIBE_PUB_TEMPLATE_KEY_WORD = '/wxaapi/newtmpl/getpubtemplatekeywords';
    case GET_SUBSCRIBE_TEMPLATE_TITLE_LIST = '/wxaapi/newtmpl/gettemplate';
    case SEND_SUBSCRIBE_MESSAGE = '/cgi-bin/message/subscribe/bizsend';

    // 客服消息
    case SEND_CUSTOM_MESSAGE = '/cgi-bin/message/custom/send';

    // 用户标签管理
    case TAG_CREATE = '/cgi-bin/tags/create';
    case TAG_GET = '/cgi-bin/tags/get';
    case TAG_UPDATE = '/cgi-bin/tags/update';
    case TAG_DELETE = '/cgi-bin/tags/delete';
    case TAG_GET_USER = '/cgi-bin/user/tag/get';
    case TAG_BATCH_TAGGING = '/cgi-bin/tags/members/batchtagging';
    case TAG_BATCH_UNTAGGING = '/cgi-bin/tags/members/batchuntagging';
    case TAG_GET_ID_LIST = '/cgi-bin/tags/getidlist';

    // 用户管理
    case USER_INFO = '/cgi-bin/user/info';
    case USER_INFO_BATCH_GET = '/cgi-bin/user/info/batchget';
    case USER_GET = '/cgi-bin/user/get';
    case USER_BLACKLIST_GET = '/cgi-bin/tags/members/getblacklist';
    case USER_BLACKLIST_BATCH_ADD = '/cgi-bin/tags/members/batchblacklist';
    case USER_BLACKLIST_BATCH_REMOVE = '/cgi-bin/tags/members/batchunblacklist';

    // 发布能力
    case GET_ARTICLE = '/cgi-bin/freepublish/getarticle';
    case BATCH_GET_ARTICLE = '/cgi-bin/freepublish/batchget';

    // 账号管理
    case CREATE_QRCODE_TICKET = '/cgi-bin/qrcode/create';
    case EXCHANGE_QRCODE_BY_TICKET = 'https://mp.weixin.qq.com/cgi-bin/showqrcode';

}
