<?php

declare(strict_types=1);

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class DepartmentCategory extends Model
{
    use HasFactory;

    /**
     * @var string
     */
    protected $connection = 'mysql_admin';

    /**
     * @var string
     */
    protected $table = 'department_categories';

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'id',
        'name',
        'description',
        'sort',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'id' => 'integer',
        'sort' => 'integer',
    ];

    /**
     * 分类
     * @return HasMany
     */
    public function department(): HasMany
    {
        return $this->hasMany(Department::class, 'category_id');
    }
}
