<?php

declare(strict_types=1);

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Inpatient extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'open_id',
        'inpatient_id',
        'inpatient_name',
        'in_time',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'id' => 'integer',
        'in_time' => 'datetime',
    ];

    /**
     * Relationships inpatientRechargeRecord.
     */
    public function inpatientRechargeRecord(): HasMany
    {
        return $this->hasMany(InpatientRechargeRecord::class, 'relate_id');
    }
}
