<?php

declare(strict_types=1);

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Navigation extends Model
{
    use HasFactory;

    /**
     * @var string
     */
    protected $connection = 'mysql_admin';

    /**
     * @var string
     */
    protected $table = 'hospital_navigations';

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'area_id',
        'area_name',
        'longitude',
        'latitude',
        'address',
        'telephone',
        'traffic',
        'guide',
        'sort',
        'is_enable',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'id' => 'integer',
        'area_id' => 'integer',
        'sort' => 'integer',
        'is_enable' => 'integer',
    ];

}
