<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDepartmentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('departments', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('p_id')->default(0)->comment('父类ID代码');
            $table->string('dept_id', 10)->default('')->comment('科室代码')->index();
            $table->string('dept_name', 50)->comment('科室名称');
            $table->integer('sort')->default(0)->comment('排序 正向排序');
            $table->tinyInteger('is_enable')->default(1)->comment('是否启用 0 不启用 1 启用');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('departments');
    }
}
