<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class () extends Migration {

    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('inpatients', static function (Blueprint $table) {
            $table->id();
            $table->string('open_id', 32)->index()->comment('open_id');
            $table->string('inpatient_id', 32)->index()->comment('住院号');
            $table->string('inpatient_name', 50)->comment('患者名称');
            $table->timestamp('in_time')->comment('入院时间');
            $table->timestamps();
            $table->engine = 'MyISAM';
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('inpatients');
    }
};
