<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class () extends Migration {

    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('health_card_reports', static function (Blueprint $table) {
            $table->id();
            $table->integer('relate_order_id')->index()->comment('关联订单表ID');
            $table->integer('relate_patient_id')->index()->comment('关联患者表ID');
            $table->string('scene', 10)->index()->comment('用卡环节代码');
            $table->text('report_data')->comment('健康卡上报内容');
            $table->unsignedTinyInteger('number')->default(0)->comment('已尝试发送次数');
            $table->unsignedTinyInteger('status')->default(0)->index()->comment('状态 0尚未推送 1已上报');
            $table->timestamp('report_at')->nullable()->comment('推送时间');
            $table->timestamps();
            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('health_card_reports');
    }
};
