<?php

declare(strict_types=1);

namespace UnifyPayment\Cores\Exceptions;

class Exception extends \Exception
{

    /**
     * @var array
     */
    public array $raw;

    /**
     * Construct.
     *
     * @param string       $message
     * @param array|string $raw
     */
    public function __construct(string $message = '', $raw = [])
    {
        $message = '' === $message ? '[UNKNOWN_ERROR] ' : $message;
        $this->raw = is_array($raw) ? $raw : [$raw];

        parent::__construct($message);
    }
}
