<?php

declare(strict_types=1);

namespace UnifyPayment\Cores\Traits;

use UnifyPayment\Cores\Config;
use UnifyPayment\Cores\Contracts\Config as ConfigInterface;

trait InteractWithConfig
{
    protected ConfigInterface $config;

    /**
     * @param array|ConfigInterface $config
     *
     * @throws
     */
    public function __construct($config)
    {
        $this->config = is_array($config) ? new Config($config) : $config;
    }

    /**
     * Get Config
     *
     * @return ConfigInterface
     */
    public function getConfig(): ConfigInterface
    {
        return $this->config;
    }

    /**
     * Set Config.
     *
     * @param ConfigInterface $config
     *
     * @return $this
     */
    public function setConfig(ConfigInterface $config): self
    {
        $this->config = $config;

        return $this;
    }
}
